java.nio.file.attribute

## Interface GroupPrincipal

- All Superinterfaces:
    Principal, UserPrincipal

      public interface GroupPrincipal
      extends UserPrincipal

  A `UserPrincipal` representing a group identity, used to determine access rights to objects in a file system. The exact definition of a group is implementation specific, but typically, it represents an identity created for administrative purposes so as to determine the access rights for the members of the group. Whether an entity can be a member of multiple groups, and whether groups can be nested, are implementation specified and therefore not specified.
  Since:
    1.7
  See Also:
    `UserPrincipalLookupService.lookupPrincipalByGroupName(java.lang.String)`

- - ### Method Summary

    - ### Methods inherited from interface java.security.Principal

      `equals, getName, hashCode, toString`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.